| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
MD5 Class Reference
eProsima Fast DDS API Reference » Shared Utilities

Class MD5, for calculating MD5 hashes of strings or byte arrays it is not meant to be fast or secure. More...

`#include <md5.hpp>`

## Public Types

typedef unsigned char | uint1
typedef unsigned int | size_type

## Public Member Functions

| MD5 ()
| MD5 (const std::string &text)
void | update (const unsigned char *buf, size_type length)
void | update (const char *buf, size_type length)
MD5 & | finalize ()
std::string | hexdigest () const
void | init ()

## Public Attributes

uint1 | digest [16]

## Friends

std::ostream & | operator<< (std::ostream &, MD5 &md5)

## Detailed Description

Class MD5, for calculating MD5 hashes of strings or byte arrays it is not meant to be fast or secure.

usage: 1) feed it blocks of uchars with update() 2) finalize() 3) get hexdigest() string or MD5(std::string).hexdigest()

assumes that char is 8 bit and int is 32 bit

## Member Typedef Documentation

## ◆ size_type

typedef unsigned int size_type

## ◆ uint1

typedef unsigned char uint1

## Constructor & Destructor Documentation

## ◆ MD5() [1/2]

MD5 | ( |  | ) |

## ◆ MD5() [2/2]

MD5 | ( | const std::string & | text | ) |

## Member Function Documentation

## ◆ finalize()

MD5 & finalize | ( |  | ) |

## ◆ hexdigest()

std::string hexdigest | ( |  | ) | const

## ◆ init()

void init | ( |  | ) |

## ◆ update() [1/2]

void update | ( | const char * | buf,
|  | size_type | length )

## ◆ update() [2/2]

void update | ( | const unsigned char * | buf,
|  | size_type | length )

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | ,
|  | MD5 & | md5 )

friend

## Member Data Documentation

## ◆ digest

uint1 digest[16]

The documentation for this class was generated from the following file:

- include/fastdds/utils/md5.hpp